#ads.lua
----

###Overview
広告機能について。実装方法や登録方法についてまとめる。

### 実装の前に
1. 広告の登録
2. phpの実装
3. アプリ側の実装

#### 広告の登録
* アプリを申請に出す
* 広告を登録して申請に出す
* コードを取得する

#### PHP側の実装
* ヘッダーやフッターなど必要な物を準備する  

**※PHPはまだパッケージ化できていないのでしばらくお待ちください**

####アプリ側の実装
1. main.luaのadsのコメントアウトを外す  
```
ads = require(PluginDir .. 'ads.ads')
```
2. 表示したい場所で広告を呼び出す  
```
ads.get('interstitial')
```
3. 消すタイミングでremoveを呼ぶ
```
ads.remove('interstitial')
```

**広告のタイプは以下の通り**
> header  : 画面上部バナー広告  
> footer  : 画面下部バナー広告  
> icon  : アイコン広告  
> interstitial  : インターステイシャル広告  
> rewardedVideo  : リワード動画広告  
> affiliate  : アフィリエイト広告  


****

#### 申請時の注意
※iOSは審査期間中必ずウォール広告・アイコン広告は非表示にして下さい

**非表示方法**

> php
  
```
if(isset($platform) && $platform == 'iPhone OS'){ 
   $ret['hidden_wall'] = false;      
}     

```

> lua

```
----------------
-- 広告のリスナ
----------------
local function adsListener(event)
    if event.name == 'hidden_wall' then
        if not scene.view then return end
        if event.result == true then
            scene.view.wall_btn.isVisible = false
        else
            scene.view.wall_btn.isVisible = true
        end
    end
end

function scene:enterScene( event )
    local group = self.view
    gameover_view:addEventListener( listener )
    ads:addEventListener( adsListener )
end
```

### 使い方

**lua**  

```
ads = require(PluginDir .. 'ads.ads')
ads.init()
ads.show('ads_type'[, ads_option])
```
ads_typeに指定されたものが呼び出される。
また、optionにて位置等が設定できる

**php**  

```
    $ret = array(
        array('type'=>'footer', 'service'=>'admob', 'appID'=>$admob_appId_banner, 'testMode'=>true),
        array('type'=>'header', 'service'=>'nend', 'url'=> 'http://app.talkspace-web.com/side/lili_jump/ads/header_nend_'.$platform.'.html'),
        array('type'=>'icon', 'service'=>'nend', 'url'=> 'http://app.talkspace-web.com/side/lili_jump/ads/icon_nend_'.$platform.'.html'),
        array('type'=>'footer', 'service'=>'nend', 'url'=> 'http://app.talkspace-web.com/side/rmmr/ads/footer_nend_'.$platform.'.html'),
        array('type'=>'header', 'service'=>'nend', 'url'=> 'http://app.talkspace-web.com/side/samurai/ads/ad_footer_nend01.html'),
        array('type'=>'icon', 'service'=>'nend', 'url'=> 'http://app.talkspace-web.com/side/samurai/ads/ad_icon_nend.html'),
        array('type'=>'wall', 'service'=>'applipromotion', 'url'=> 'http://app.talkspace-web.com/side/lili_jump/ads/wall_applipromotion_'.$platform.'.html'),
        array('type'=>'affiliate', 'service'=>'freep', 'url'=> 'http://app.talkspace-web.com/side/lili_jump/ads/amazon.php?id='.rand(0,3000)),
        array('type'=>'interstitial', 'service'=>'admob', 'appID'=>$admob_appId_interstatial),  
    );
    $res = array('ads'=>$ret, 'hidden_wall'=>false);
    if(isset($platform) && $platform == 'ios'){ 
        $res['hidden_wall'] = true;
    }
  
    header('Content-type: application/json; charset=UTF-8');
    echo json_encode($res);      
    
```

affiliateに`amazon.php?id='.rand(0,3000)`とついているのはキャッシュを取らないためである。


#### アフィリエイトサンプル 

aタグのリンクに`product`という文字列を含むと自動で遷移する用な仕組みになっている.  
アイテム生成方法については下記の**Amazonアフィリエイト生成方法**を参照.

```
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta name="viewport" content="width=device-width, minimum-scale=1, maximum-scale=1">
  </head>
  <body bgcolor="#ffffff" style="margin:0; padding:0;">
    <div style='text-align:center; margin-top:30px;'>
      <a href="http://www.amazon.co.jp/gp/product/B00NC8PMUK/ref=as_li_tf_il?ie=UTF8&camp=247&creative=1211&creativeASIN=B00NC8PMUK&linkCode=as2&tag=n7ddd9db57xw3-22"><img border="0" src="http://ws-fe.amazon-adsystem.com/widgets/q?_encoding=UTF8&ASIN=B00NC8PMUK&Format=_SL250_&ID=AsinImage&MarketPlace=JP&ServiceVersion=20070822&WS=1&tag=n7ddd9db57xw3-22" ></a><img src="http://ir-jp.amazon-adsystem.com/e/ir?t=n7ddd9db57xw3-22&l=as2&o=9&a=B00NC8PMUK" width="1" height="1" border="0" alt="" style="border:none !important; margin:0px !important;" />
    </div>
    <div style='margin:10px 20px 10px 10px; '>
      <a href="http://www.amazon.co.jp/gp/product/B00NC8PMUK/ref=as_li_tf_tl?ie=UTF8&camp=247&creative=1211&creativeASIN=B00NC8PMUK&linkCode=as2&tag=n7ddd9db57xw3-22">モトローラ Moto 360 Watch スマートウォッチ Android Wear 【並行輸入品】</a><img src="http://ir-jp.amazon-adsystem.com/e/ir?t=n7ddd9db57xw3-22&l=as2&o=9&a=B00NC8PMUK" width="1" height="1" border="0" alt="" style="border:none !important; margin:0px !important;" />
    </div>
    
    <div style='text-align:center; margin-top:20px; '>
      <a href="http://www.amazon.co.jp/gp/product/B00NC8PMUK/ref=as_li_tf_tl?ie=UTF8&camp=247&creative=1211&creativeASIN=B00NC8PMUK&linkCode=as2&tag=n7ddd9db57xw3-22"><img src='http://app.talkspace-web.com/tspopup/popup_btn_incentive_get.png' width=240></a>
    </div>
  </body>
</html>

```


### Amazonアフィリエイト生成方法

1. [Amazon アソシエイト](https://affiliate.amazon.co.jp/gp/associates/network/main.html)にログインする
2. 商品検索より生成したいアイテムを検索し、「リンク生成を押す」
3. リンクを取得。アイテム名とアイテム画像も取得
4. amazonアフィリエイト用のphpファイルを作成し、先ほど取得したリンク、画像、名前を設置。