# **Plugin.Talkspace**
---


## **Overview**
---
Talkspace内でのランキングやアカウント・シェア機能を簡単に利用するためのPlugin

## **Gotchas**
---
Talkspaceのシェアの際には録音機能を使うので、Androidのpermissionは開放しておく。

### build.setting
```
settings =
{
    android =
    {
        usesPermissions =
        {
            "android.permission.RECORD_AUDIO",
        },
    },
}
```

Talkspaceプラグインでは広告等のWebViewの下にポップアップが表示されるので、ポップアップ表示のタイミングで広告を除去すること。

```
local function talkspaceEventListener( event )
    if event.name == 'talkspace-hideLeaderboard-finish' or event.name == 'talkspace-hideNoLeaderboard-finish' then
        ads.show( 'header' )
        ads.show( 'footer' )
        ads.show( 'icon', { x = 0, y = _H*0.5+130, width = _W, height = 120, service = 'nend' } )

    elseif event.name == 'talkspace-showLeaderboard-finish' or event.name == 'talkspace-showNoLeaderboard-finish' or event.name == 'talkspace-showLogin-finish' or event.name == 'talkspace-showShare-finish' then
        ads.remove( 'header' )
        ads.remove( 'footer' )
        ads.remove( 'icon' )
    end
end
talkspace:addEventListener( talkspaceEventListener )
``` 

## **Examples**
---

### 初期化（必ずすること）
```
talkspace = require( PluginDir .. 'talkspace.talkspace' )
talkspace.init()
```

### ログイン
ログインは基本的には不要。Talkspaceへのシェアやランキングを表示する際に自動的に呼ばれる。

### シェア
基本的にはshareのserviceをtalkspaceにするだけでよい。
```
local option = 
{
    service = 'talkspace',
    tags = 'パタパタぶろちゃん',
    image = { filename = ImgDir .. 'share.jpg', baseDir = system.ResourceDirectory },
}
share.post( option )
```

### トクスペランキング
基本的にはgamecenterと同じ

ハイスコアを投稿する
```
talkspace.setHighScore(100)
```

ランキング表示
```
talkspace.showRankingBoard()
```